DIFF3(1)

BEZEICHNUNG
diff3 - zeilenweiser Vergleich von drei Dateien

ÜBERSICHT
diff3 [OPTION]... MEINE_DATEI ALTE_DATEI IHRE_DATEI

BESCHREIBUNG
Diff3 vergleicht drei Dateien zeilenweise.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-A, --show-all
    alle Änderungen ausgeben; Konflikte einklammern

-e, --ed
    Ein Ed-Skript mit den Änderungen von ALTE_DATEI zu IHRE_DATEI in MEINE_DATEI ausgeben

-E, --show-overlap
    Wie -e, aber Konflikte in Klammern setzen

-3, --easy-only
    Wie -e, aber nur nichtüberlappende Änderungen übernehmen

-x, --overlap-only
    Wie -e, aber nur überlappende Änderungen übernehmen

-X  Wie -x, aber Konflikte in Klammern setzen

-i  die Befehle »w« und »q« an Ed-Skripte anhängen

-m, --merge
    Tatsächlich zusammengefügte Datei gemäß -A ausgeben, wenn keine anderen Optionen angegeben wurden

-a, --text
    Alle Dateien als Text behandeln

--strip-trailing-cr
    Wagenrücklauf (Carriage Return) am Ende der Eingabe entfernen

-T, --initial-tab
    Tabulatoren durch Voranstellen von Tabulatoren ausgleichen

--diff-program=PROGRAMM
    PROGRAMM für den Vergleich der Dateien verwenden

-L, --label=BESCHRIFTUNG
    Verwende BESCHRIFTUNG statt des Dateinamens (kann bis zu drei Mal wiederholt werden)

--help
    Diese Hilfe anzeigen und beenden

-v, --version
    Versionsinformation anzeigen und beenden

Das voreingestellte Ausgabeformat ist eine einigermaßen menschenlesbare Repräsentation der Änderungen.

Die Optionen -e, -E, -x, -X (und die entsprechenden Langformen) bewirken, dass anstelle der voreingestellten Ausgabe ein Ed-Skript ausgegeben wird.

Schließlich bewirkt die Option -m (--merge), dass diff3 die Dateien intern zusammenfügt und die tatsächlich zusammengefügte Datei ausgibt. Bei ungewöhnlichen Eingabedateien arbeitet dies verlässlicher, als Ed zu verwenden.

Wenn eine DATEI fehlt oder wenn dafür »-« angegeben ist, wird die Standardeingabe gelesen. Nach erfolgreicher Ausführung ist der Exit-Status 0, bei Unterschieden 1 und bei Problemen 2.

AUTOR
geschrieben von Randy Smith

FEHLER BERICHTEN
Berichten Sie Fehler (auf Englisch) an bug-diffutils@gnu.org
Homepage der GNU diffutils: <http://www.gnu.org/software/diffutils/>
Allgemeine Hilfe zur Benutzung von GNU-Software: <http://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2011 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
cmp(1), diff(1), sdiff(1)

Die vollständige Dokumentation für diff3 wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und diff3 auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info diff3

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Martin Eberhard Schauer <Martin.E.Schauer@gmx.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.